<?php

#################################################################
//
//		    Post Level  V 1.0
//            		coded by Yemeni free
//                              yemenifree@hotmail.com
//	                 	       July 2010
//
#################################################################
//  All rights of this script belongs to its author. 
//  This script or any part of it can NOT be distributed, released, 
//  shared, used/included in another script without author's prior consent.
#################################################################

// ######################## SET PHP ENVIRONMENT ###########################
error_reporting(E_ALL & ~E_NOTICE);
@set_time_limit(0);

// ##################### DEFINE IMPORTANT CONSTANTS #######################
define('CVS_REVISION', '$RCSfile: postlevel.php,v $ - $Revision: 1.126 $');

// #################### PRE-CACHE TEMPLATES AND DATA ######################
$phrasegroups = array('style');

$specialtemplates = array();

// ########################## REQUIRE BACK-END ############################
require_once('./global.php');
require_once(DIR .'/includes/adminfunctions_template.php');


// ########################################################################
// ######################### START MAIN SCRIPT ############################
// ########################################################################

if (empty($_REQUEST['do']))
{
	$_REQUEST['do'] = 'list';
}

print_cp_header("نظام الالفيات :: <a href=\"http://www.traidnt.net/vb/member.php?u=31024\" target=\"_blank\">
برمجة يمني حر
</a>");


// ######################## CHECK ADMIN PERMISSIONS #######################
if (!can_administer('canadminstyles'))
{
	print_cp_no_permission();
}

function copyright () 
{
	echo '<p align="center"><a href="http://www.yemen4host.com/" target="_blank" class="copyright">نظام الآلفيات .. برمجة يمني حر || yemenifree@hotmail.com</a></p>';
	echo '<p align="center" class="copyright"><a href="http://www.yemen4host.com/" target="_blank" class="copyright"> لا اسمح بالتعديل او التطوير دون أذن مسبق <a/></p>';
}


// ###########################################################
// ###################### Start add ##########################
// ###########################################################
if ($_REQUEST['do'] == "add") 
{

  print_form_header('postlevel', "insert");
  print_table_header("اضافة آلفية جديده");
  print_input_row("اسم الآلفيه <br>مثلا الآلفيه الثالثه عشر سوف تستخدم في عنوان موضوع التهنئة","postlevel[title]",'');
  print_input_row("عنوان موضوع الآلفية <br>قم بكتابة عنوان موضوع التهنئة .. بامكانك استعمال 
<br> {username} مكان اسم العضو 
<br> {title} مكان اسم الآلفيه","postlevel[titleth]",'');
  print_input_row("عدد مشاركات الآلفية","postlevel[postcount]",'');
  print_textarea_row("نص التهنئة للآلفية <br><br><font size=1>قم بتنسيق نص التهنئية بصندوق التحرير الخاص بمنتداك وضع اكواد التهنئية هنا</font> بامكانك عرض اسم العضو في التهنئة بواسطة كتابة {username} في المكانا لمخصص لاسم العضو في نص التهنئة","postlevel[text]",$template,25,80);
  //print_template_javascript();
 
  print_submit_row("إنشاء الآلفيه");
  copyright();
}


// ###########################################################
// ###################### Start insert #######################
// ###########################################################
if ($_REQUEST['do'] == "insert") 
{

	$vbulletin->input->clean_array_gpc('p', array(
		'postlevel'    => TYPE_ARRAY
	));
	
	$title	= trim(strtolower($vbulletin->GPC['postlevel']['title']));
	$titleth	= trim(strtolower($vbulletin->GPC['postlevel']['titleth']));
	$postcount = trim(strtolower($vbulletin->GPC['postlevel']['postcount']));
	$text	= trim($vbulletin->GPC['postlevel']['text']);

	if (!$title) 
	{ 
		print_cp_message("نسيت عنوان التهنئه !");
	}
	elseif (!$text) 
	{
		print_cp_message("نسيت محتوى التهنئة !");
	}
    elseif (!$postcount) 
	{
		print_cp_message("نسيت عدد مشاركات الآلفيه!");
	}

    if (!$exists = $db->query_first("SELECT id FROM postlevel WHERE postcount='".intval($postcount)."'")) 
	{ 
		  
		  // Insert INTO DB:
		  $result = $db->query_write("
									INSERT INTO postlevel 									
									(id, title, titleth, postcount, text) 
									VALUES 				
									(NULL, '".addslashes($title)."', '".addslashes($titleth)."', '".intval($postcount)."',  '".addslashes($text)."')");
		  $templateid = $db->insert_id($result);
    } 
    else
	{
		print_cp_message("يوجد هناك آلفيه سابقة تحمل اسم $title!");
	}
	  
	
	define('CP_REDIRECT', 'postlevel.php');
	print_cp_message("تم إنشاء الآلفيه '$title' بنجاح !", CP_REDIRECT, $delay = 1);
	copyright();
} 

// ###########################################################
// ###################### Start edit #########################
// ###########################################################
if ($_REQUEST['do'] == "edit") 
{
	
		$vbulletin->input->clean_array_gpc('r', array(
		'id'    => TYPE_UINT
		));
	
   $id = $vbulletin->GPC['id'];
   
   $postlevel = $db->query_first("SELECT * FROM postlevel WHERE id= '$id'");
   
   if (!$postlevel['id']) {
    print_cp_message("لم يتم العثور على الآلفيه المراد تعديلها !");
    exit;
    }

  print_form_header('postlevel', "update");
  print_table_header("تعديل آلفيه '$postlevel[title]'");
  construct_hidden_code("postlevel[id]",$postlevel['id']);
  
  print_input_row("اسم الآلفيه <br>مثلا الآلفيه الثالثه عشر سوف تستخدم في عنوان موضوع التهنئة","postlevel[title]",$postlevel['title']);
  print_input_row("عنوان موضوع الآلفية <br>قم بكتابة عنوان موضوع التهنئة .. بامكانك استعمال 
<br> {username} مكان اسم العضو 
<br> {title} مكان اسم الآلفيه","postlevel[titleth]",$postlevel['titleth']);
  print_input_row("عدد مشاركات الآلفية","postlevel[postcount]",$postlevel['postcount']);
  print_textarea_row("نص التهنئة للآلفية <br><br><font size=1>قم بتنسيق نص التهنئية بصندوق التحرير الخاص بمنتداك وضع اكواد التهنئية هنا</font>","postlevel[text]",$postlevel['text'],25,80);
  //print_template_javascript();

  print_submit_row("تحديث الآلفيه");
  copyright();
}

// ###########################################################
// ###################### Start update #######################
// ###########################################################
if ($_REQUEST['do'] == "update") 
{
	
	$vbulletin->input->clean_array_gpc('p', array(
		'postlevel'    => TYPE_ARRAY
	));
	

	$title	= trim(strtolower($vbulletin->GPC['postlevel']['title']));
	$titleth	= trim(strtolower($vbulletin->GPC['postlevel']['titleth']));
	$postcount = trim(strtolower($vbulletin->GPC['postlevel']['postcount']));
	$text	= trim($vbulletin->GPC['postlevel']['text']);

	if (!$title) 
	{ 
		print_cp_message("نسيت عنوان التهنئه !");
	}
	elseif (!$text) 
	{
		print_cp_message("نسيت محتوى التهنئة !");
	}
    elseif (!$postcount) 
	{
		print_cp_message("نسيت عدد مشاركات الآلفيه!");
	}


	$id = $vbulletin->GPC['postlevel']['id'];

    $postlevel = $db->query_first("SELECT * FROM postlevel WHERE id= '$id'");
    if (!$postlevel['id']) {
    print_cp_message("لم يتم العثور على الآلفيه المراد تعديلها !");
    exit;
    }


	//$template_un = compile_template($template); 
		 $db->query("
					UPDATE postlevel 
					SET 
					title='".addslashes($title)."',
					titleth='".addslashes($titleth)."',
					text='".addslashes($text)."', 
					postcount='".intval($postcount)."'
					WHERE id = '$id'
					");

	define('CP_REDIRECT', 'postlevel.php');
	print_cp_message("تم تحديث الآلفيه '$title' بنجاح !", CP_REDIRECT, $delay = 1);
    copyright();
}

// ###########################################################
// ###################### Start Kill #########################
// ###########################################################
if ($_REQUEST['do'] == "delete") 
{
	
		$vbulletin->input->clean_array_gpc('r', array(
		'id'    => TYPE_UINT,
	));
	
	$id = $vbulletin->GPC['id'];

   // Check if webtemplates exist?
   $postlevel = $db->query_first("SELECT * FROM postlevel WHERE id= '$id'");
    if (!$postlevel['id']) {
    print_cp_message("لم يتم العثور على الآلفيه المراد حذفها !");
    exit;
    }
   // Delete From DB
   $db->query("DELETE FROM postlevel WHERE id= '$id'");

	
	define('CP_REDIRECT', 'postlevel.php');
	print_cp_message("تم حذف الآلفيه !", CP_REDIRECT, $delay = 1);
    copyright();
} 

// ###########################################################
// ###################### Start list #########################
// ###########################################################
if ($_REQUEST['do'] == "list") 
{
 
	
	print_form_header('postlevel', '');

    echo '
    <table cellpadding="4" cellspacing="0" border="0" align="center" width="90%" class="tborder" id="cpform_table">
	<tr>
		<td class="tcat" align="center" colspan="4"><b>قائمة الآلفيات</b></td>
	</tr>

	<tr valign="top" align="center">
		<td class="thead" align="right" width="3%">م</td>
		<td class="thead" width="15%">عدد المشاركات</td>

		<td class="thead" width="50%">عنوان الآلفيه</td>
		<td class="thead" align="left" width="26%">
		<div align="center">خيارات إضافية</div></td>
	</tr>';

	$list = $db->query_read("
                        SELECT id,title,postcount
                        FROM postlevel
						ORDER BY id DESC
						"); 

    $Check = mysql_num_rows($list); 
     if (empty($Check)) {
    echo '<tr valign="top" align="center">
		<td class="alt2" align="right" width="94%" colspan="4">
		<div align="center"><b>لا توجد نتائج لعرضها ..</b></div>
        </td>
	   </tr>';
	} else {
	while ($postlevel=$db->fetch_array($list)) 
		{
            echo '<tr valign="top" align="center">
		<td class="alt1" align="right" width="3%">'.$postlevel[id].'</td>
		<td class="alt2" width="15%">'.$postlevel[postcount].'</td>
		<td class="alt1" width="50%">'.$postlevel[title].'</td>
		<td class="alt2" align="left" width="26%">
		<div align="center"><b>
		<a href="postlevel.php?do=edit&amp;id='.$postlevel[id].'">[ تعديل ]</a>&nbsp; - &nbsp;
		<a href="postlevel.php?do=delete&amp;id='.$postlevel[id].'">[ حذف ]</a>
		</b></div>
		</td>
	   </tr>';
        }
    }
    echo '</table>';
	copyright();

}


?>